> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ERC1155 Token Transfers by Address

> Retrieves a list of ERC-1155 tokens transferred by a specific address, with optional filtering by token contract.

export const chain = '1';

<Warning>
  **Effective July 1, 2026**, the maximum records returned per request will be reduced from 10,000 to 1,000 for Free tier API users. See the full list of [affected endpoints](https://docs.etherscan.io/changelog#upcoming-change-reduced-maximum-records-per-request-on-the-free-api-tier).
</Warning>

### Query Parameters

<ParamField query="apikey" default="YourApiKeyToken" type="string">
  Your Etherscan API key.
</ParamField>

<ParamField query="chainid" default="1" type="string">
  Chain ID to query, eg `1` for Ethereum, `8453` for Base from our [supported chains](/supported-chains).
</ParamField>

<ParamField query="module" default="account" type="string">
  Set to `account` for this endpoint.
</ParamField>

<ParamField query="action" default="token1155tx" type="string">
  Set to `token1155tx` for this endpoint.
</ParamField>

<ParamField query="contractaddress" default="0x76be3b62873462d2142405439777e971754e8e77" type="string">
  The ERC1155 token contract address to filter transfers by, eg `0x495f947276749ce646f68ac8c248420045cb7b5e` for [Opensea Shared Storefront](https://etherscan.io/token/0x495f947276749ce646f68ac8c248420045cb7b5e).
</ParamField>

<ParamField query="address" default="0x83f564d180b58ad9a02a449105568189ee7de8cb" type="string">
  The address to query, like `0xfefefefefefefefefefefefefefefefefefefefe`
</ParamField>

<ParamField query="page" default="1" type="integer">
  Page number for pagination.
</ParamField>

<ParamField query="offset" default="100" type="integer">
  Number of records per page. Use the `page` parameter for subsequent records.
</ParamField>

<ParamField query="startblock" default="0" type="integer">
  Starting block number to search from.
</ParamField>

<ParamField query="endblock" default="999999999" type="integer">
  Ending block number to search to.
</ParamField>

<ParamField query="sort" default="asc" type="string">
  Sort order either `desc` for the latest transactions first or `asc` for the oldest transactions first.
</ParamField>

<ResponseExample>
  ```json Response theme={null}
  {
    "status": "1",
    "message": "OK",
    "result": [
      {
        "blockNumber": "13472395",
        "timeStamp": "1634973285",
        "hash": "0x643b15f3ffaad5d38e33e5872b4ebaa7a643eda8b50ffd5331f682934ee65d4d",
        "nonce": "41",
        "blockHash": "0xa5da536dfbe8125eb146114e2ee0d0bdef2b20483aacbf30fed6b60f092059e6",
        "transactionIndex": "100",
        "gas": "140000",
        "gasPrice": "52898577246",
        "gasUsed": "105030",
        "cumulativeGasUsed": "11739203",
        "input": "deprecated",
        "methodId": "0x3e6b214b",
        "functionName": "",
        "contractAddress": "0x76be3b62873462d2142405439777e971754e8e77",
        "from": "0x1e63326a84d2fa207bdfa856da9278a93deba418",
        "to": "0x83f564d180b58ad9a02a449105568189ee7de8cb",
        "tokenID": "10371",
        "tokenValue": "1",
        "tokenName": "parallel",
        "tokenSymbol": "LL",
        "confirmations": "9995266"
      }
    ]
  }
  ```
</ResponseExample>
